from teams.models import Team, Continent, Country, Language
from events.models import GlobalEvent, TeamEvent, TeamEventComment, Attendee
from meetings.models import TeamMeeting
from venues.models import Venue
from userprofiles.models import UserProfile
from django.contrib.auth.models import User, Group

from services import model_service

def team_service(request, url):
    return model_service(Team, request, url)

def country_service(request, url):
    return model_service(Country, request, url)

def continent_service(request, url):
    return model_service(Continent, request, url)

def team_event_service(request, url):
    return model_service(TeamEvent, request, url)

def meeting_service(request, url):
    return model_service(TeamMeeting, request, url)
    
def global_event_service(request, url):
    return model_service(GlobalEvent, request, url)

def event_attendee_service(request, url):
    return model_service(Attendee, request, url)

def event_comment_service(request, url):
    return model_service(TeamEventComment, request, url)

def venue_service(request, url):
    return model_service(Venue, request, url)

def user_service(request, url):
    return model_service(User, request, url, include=['id', 'username', 'groups'])

def group_service(request, url):
    return model_service(Group, request, url, exclude=['permissions'])

def profile_service(request, url):
    return model_service(UserProfile, request, url, exclude=['user'])

def language_service(request, url):
    return model_service(Language, request, url)

