# -*- coding: utf-8 -*-

from django import forms
from django.utils.translation import ugettext_lazy as _

from models import Team
from common.forms import RenderableMixin

class UpdateTeamForm(forms.ModelForm, RenderableMixin):
    class Meta:
        model = Team
        exclude = ('approved_date', 'approved', 'expires_date', 'name', 'lp_name', 'admins', 'owner', 'active')

    class Media:
        css = {'all': (
                       '/media/css/colortip-1.0-jquery.css', 
                       )}
        js = (
              '/media/js/colortip-1.0-jquery.js',
              )

class LoCoCouncilForm(forms.ModelForm, RenderableMixin):
    class Meta:
        model = Team
        exclude = ('approved', 'expires_date', 'name', 'lp_name', 'admins', 'owner', 'active')

    class Media:
        css = {'all': (
                       '/media/css/colortip-1.0-jquery.css', 
                       )}
        js = (
              '/media/js/colortip-1.0-jquery.js',
              )


