#!/usr/bin/python

from django.core.management.base import NoArgsCommand

from common import launchpad
from django.contrib.auth.models import User, Group
from userprofiles.models import UserProfile, create_profile

from datetime import datetime
import sys

class Command(NoArgsCommand):
    help = "Updates user profiles with information from Launchpad."

    def handle_noargs(self, **options):
        lp = launchpad.lp_login()
        if not lp:
            sys.exit(1)
        USER_BLACKLIST = (u"root", u"admin")
        
        ld_users = User.objects.all()

        for ld_user in ld_users:
            if not ld_user.username in USER_BLACKLIST:
                profile, created = UserProfile.objects.get_or_create(user=ld_user)
                try:
                    lp_user = lp.people[ld_user.username]
                    profile.tz = lp_user.time_zone or "UTC"
                    profile.realname = lp_user.display_name or user.username
                    profile.save()
                except Exception, e:
                    print "Error updaing %s" % ld_user
                    print e
                    pass
